# Uses of Class
org.kapott.hbci.manager.HBCIKernelImpl

Packages that use HBCIKernelImpl
Package
Description
org.kapott.hbci.dialog
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.

## Uses of HBCIKernelImpl in org.kapott.hbci.dialog

Methods in org.kapott.hbci.dialog that return HBCIKernelImpl
Modifier and Type
Method
Description
`HBCIKernelImpl`
DialogContext.`getKernel()`
Liefert den Kernel.
Methods in org.kapott.hbci.dialog with parameters of type HBCIKernelImpl
Modifier and Type
Method
Description
`static DialogContext`
DialogContext.`create(HBCIKernelImpl kernel, HBCIPassportInternal passport)`
Erzeugt einen neuen Dialog-Context.

## Uses of HBCIKernelImpl in org.kapott.hbci.manager

Constructors in org.kapott.hbci.manager with parameters of type HBCIKernelImpl
Modifier
Constructor
Description
``
`HBCIInstitute(HBCIKernelImpl kernel, HBCIPassportInternal passport, boolean forceAsParent)`
``
`HBCIUser(HBCIKernelImpl kernel, HBCIPassportInternal passport, boolean forceAsParent)`